set option ON_ERROR='CONTINUE';
ALTER TABLE OUTDEBT
	DROP FOREIGN KEY CUSTOMER;
ALTER TABLE OUTDEBT
	ADD FOREIGN KEY CUSTOMER (CUST_ID) 
	REFERENCES CUSTOMER (CUST_ID);
ALTER TABLE OUTDEBT
	DROP FOREIGN KEY STAFF;
ALTER TABLE OUTDEBT
	ADD FOREIGN KEY STAFF (STFF_ID) 
	REFERENCES STAFF (STFF_ID);
ALTER TABLE OUTDEBT
	DROP FOREIGN KEY APPUSER;
ALTER TABLE OUTDEBT
	ADD FOREIGN KEY APPUSER (USER_ID) 
	REFERENCES APPUSER (USER_ID);

ALTER TABLE OUTHEAD
	DROP FOREIGN KEY CUSTOMER;

ALTER TABLE OUTHEAD
	ADD FOREIGN KEY CUSTOMER (CUST_ID) 
	REFERENCES CUSTOMER (CUST_ID);
ALTER TABLE OUTHEAD
	DROP FOREIGN KEY STAFF;
ALTER TABLE OUTHEAD
	ADD FOREIGN KEY STAFF (STFF_ID) 
	REFERENCES STAFF (STFF_ID);
ALTER TABLE OUTHEAD
	DROP FOREIGN KEY STAFF001;

ALTER TABLE OUTHEAD
	ADD FOREIGN KEY STAFF001 (CHECK_MAN_ID) 
	REFERENCES STAFF (STFF_ID);
ALTER TABLE OUTHEAD
	DROP FOREIGN KEY APPUSER;

ALTER TABLE OUTHEAD
	ADD FOREIGN KEY APPUSER (USER_ID) 
	REFERENCES APPUSER (USER_ID);
ALTER TABLE CARGO
	DROP FOREIGN KEY CGCLASS;
ALTER TABLE CARGO
	ADD FOREIGN KEY CGCLASS (CLASS_ID) 
	REFERENCES CGCLASS (CLASS_ID);
ALTER TABLE CGSTORE
	DROP FOREIGN KEY CARGO;

ALTER TABLE CGSTORE
	ADD FOREIGN KEY CARGO(CG_ID) 
	REFERENCES CARGO(CG_ID);
ALTER TABLE CUSTOMER_PRICE
	DROP FOREIGN KEY CUSTOMER;

ALTER TABLE CUSTOMER_PRICE
	ADD FOREIGN KEY CUSTOMER (CUST_ID) 
	REFERENCES CUSTOMER (CUST_ID);
ALTER TABLE CUSTOMER_PRICE
	DROP FOREIGN KEY CARGO;

ALTER TABLE CUSTOMER_PRICE
	ADD FOREIGN KEY CARGO(CG_ID) 
	REFERENCES CARGO(CG_ID);


ALTER TABLE INHOUSE
	DROP FOREIGN KEY CARGO;
ALTER TABLE INHOUSE
	ADD FOREIGN KEY CARGO(CG_ID) 
	REFERENCES CARGO(CG_ID);

ALTER TABLE OTHER_INHOUSE
	DROP FOREIGN KEY CARGO;
ALTER TABLE OTHER_INHOUSE
	ADD FOREIGN KEY CARGO(CG_ID) 
	REFERENCES CARGO(CG_ID);
ALTER TABLE OUTHOUSE
	DROP FOREIGN KEY CARGO;
ALTER TABLE OUTHOUSE
	ADD FOREIGN KEY CARGO(CG_ID) 
	REFERENCES CARGO(CG_ID);

ALTER TABLE OTHER_OUTHOUSE
	DROP FOREIGN KEY CARGO;
ALTER TABLE OTHER_OUTHOUSE
	ADD FOREIGN KEY CARGO(CG_ID) 
	REFERENCES CARGO(CG_ID);
ALTER TABLE OUTDEHOUSE
	DROP FOREIGN KEY CARGO;
ALTER TABLE OUTDEHOUSE
	ADD FOREIGN KEY CARGO(CG_ID) 
	REFERENCES CARGO(CG_ID);

ALTER TABLE PURCHASE_DETAIL
	DROP FOREIGN KEY CARGO;
ALTER TABLE PURCHASE_DETAIL
	ADD FOREIGN KEY CARGO(CG_ID) 
	REFERENCES CARGO(CG_ID);
ALTER TABLE RTN_INHOUSE
	DROP FOREIGN KEY CARGO;
ALTER TABLE RTN_INHOUSE
	ADD FOREIGN KEY CARGO(CG_ID) 
	REFERENCES CARGO(CG_ID);
ALTER TABLE STORE_REMOVE_DETAIL
	DROP FOREIGN KEY CARGO;
ALTER TABLE STORE_REMOVE_DETAIL
	ADD FOREIGN KEY CARGO(CG_ID) 
	REFERENCES CARGO(CG_ID);
ALTER TABLE XSDD_DETAIL
	DROP FOREIGN KEY CARGO;
ALTER TABLE XSDD_DETAIL
	ADD FOREIGN KEY CARGO(CG_ID) 
	REFERENCES CARGO(CG_ID);
ALTER TABLE cgfk_head
	DROP FOREIGN KEY VENDOR;
ALTER TABLE cgfk_head
	ADD FOREIGN KEY VENDOR (VENDOR_ID) 
	REFERENCES VENDOR (VENDOR_ID);
ALTER TABLE cgfk_head
	DROP FOREIGN KEY BANKNO;

ALTER TABLE cgfk_head
	ADD FOREIGN KEY BANKNO (BANK_NO) 
	REFERENCES BANKNO (BANK_NO);
ALTER TABLE cgfk_head
	DROP FOREIGN KEY fkfs;

ALTER TABLE cgfk_head
	ADD FOREIGN KEY fkfs (fkfs) 
	REFERENCES fkfs (bm);
ALTER TABLE INHEAD
	DROP FOREIGN KEY VENDOR;

ALTER TABLE INHEAD
	ADD FOREIGN KEY VENDOR (VENDOR_ID) 
	REFERENCES VENDOR (VENDOR_ID);
ALTER TABLE INHEAD
	DROP FOREIGN KEY STAFF;

ALTER TABLE INHEAD
	ADD FOREIGN KEY STAFF (STFF_ID) 
	REFERENCES STAFF (STFF_ID);
ALTER TABLE INHEAD
	DROP FOREIGN KEY APPUSER;

ALTER TABLE INHEAD
	ADD FOREIGN KEY APPUSER (USER_ID) 
	REFERENCES APPUSER (USER_ID);
ALTER TABLE RTN_INHEAD
	DROP FOREIGN KEY VENDOR;

ALTER TABLE RTN_INHEAD
	ADD FOREIGN KEY VENDOR (VENDOR_ID) 
	REFERENCES VENDOR (VENDOR_ID);
ALTER TABLE RTN_INHEAD
	DROP FOREIGN KEY STAFF;
ALTER TABLE RTN_INHEAD
	ADD FOREIGN KEY STAFF (STFF_ID) 
	REFERENCES STAFF (STFF_ID);
ALTER TABLE RTN_INHEAD
	DROP FOREIGN KEY APPUSER;

ALTER TABLE RTN_INHEAD
	ADD FOREIGN KEY APPUSER (USER_ID) 
	REFERENCES APPUSER (USER_ID);
ALTER TABLE cgfkq_detail
	DROP FOREIGN KEY cgfk_head;

ALTER TABLE cgfkq_detail
	ADD FOREIGN KEY cgfk_head (cgfkdjbm) 
	REFERENCES cgfk_head (cgfkdjbm) on delete cascade;
