set option ON_ERROR='CONTINUE';
CREATE TABLE jxc_over_cargo_cost(month  VARCHAR(7) NOT NULL,cg_id  VARCHAR(15) NOT NULL, cost_price  numeric(14,6) DEFAULT 0,PRIMARY KEY 
(month,cg_id));

create table tmp_avg_cost_price
 (cg_id varchar(15) not null,
  qty numeric(20,6),
  price numeric(20,6),
  cg_unit1 varchar(4),
  cg_name varchar(60),
  cg_style varchar(60),
  primary key (cg_id)
  );

create VIEW v_in_out_detail 
 AS select
    t1.in_date as fsrq,
    t1.in_id as djbm,
    t2.vendor_name as bz,
    t3.cg_id as cg_id,
    t4.cg_name as cg_name,
    t4.cg_style as cg_style,
    t4.cg_unit1 as cg_unit1,
    1 as cost_flg,
    t3.mount as in_qty,
    t3.price as in_price,
    0 as out_qty,
    0 as out_price,
    t3.floor as floor,
    'CGJH'  AS  STOCK_TYPE,
    t3.sys_id as sys_id,
    'A' AS SORT
     from
    inhead t1,
    inhouse t3,vendor t2,cargo t4 where
    (t1.vendor_id = t2.vendor_id) and(t1.in_id = t3.in_id) and (t1.yes_flg =0) and (t3.cg_id = t4.cg_id) union
   select 
    t1.rtn_date as fsrq,
    t1.debt_id as djbm,
    t2.cust_name as bz,
    t3.cg_id as cg_id,
    t4.cg_name as cg_name,
    t4.cg_style as cg_style,
    t4.cg_unit1 as cg_unit1,
    2 as cost_flg,
    t3.mount as in_qty,
    t3.price as in_price,
    0 as out_qty,
    0 as out_price,
    t3.floor as floor,
    'XSTH'  AS  STOCK_TYPE,
    t3.sys_id as sys_id,
    'A' AS SORT  from
    outdebt t1,
    outdehouse t3,customer t2,cargo t4 where
    (t1.cust_id = t2.cust_id) and(t1.debt_id = t3.debt_id) and (t1.yes_flg =0)  and (t3.cg_id = t4.cg_id) union
   select 
    t1.in_date as fsrq,
    t1.in_id as djbm,
    '' as bz,
     t3.cg_id as cg_id,
    t4.cg_name as cg_name,
    t4.cg_style as cg_style,
    t4.cg_unit1 as cg_unit1,
    1 as cost_flg,
    t3.mount  as in_qty,
    t3.price as in_price,
    0 as out_qty,
    0 as out_price,
    t3.floor as floor,
    'QTRK'  AS  STOCK_TYPE,
    t3.sys_id as sys_id,
    'A' AS SORT  from
    other_inhead t1,
    other_inhouse t3,cargo t4 where
    (t1.in_id = t3.in_id) and (t1.yes_flg =0) and (t3.cg_id = t4.cg_id) union
   select 
    t1.in_date as fsrq,
    t1.in_id as djbm,
    t2.vendor_name as bz,
     t3.cg_id as cg_id,
    t4.cg_name as cg_name,
    t4.cg_style as cg_style,
    t4.cg_unit1 as cg_unit1,
    2 as cost_flg,
   0 as in_qty,
    0 as in_price,
    t3.mount as out_qty,
    t3.price as out_price,
    t3.floor as floor,
    'CGTH'  AS  STOCK_TYPE,
    t3.sys_id as sys_id,
    'B' AS SORT
  from
    rtn_inhead t1,
    rtn_inhouse t3,vendor t2,cargo t4 where
    (t1.vendor_id = t2.vendor_id) and(t1.in_id = t3.in_id) and (t1.yes_flg =0) and (t3.cg_id = t4.cg_id) union
   select 
    t1.out_date as fsrq,
    t1.out_id as djbm,
    t2.cust_name as bz,
     t3.cg_id as cg_id,
    t4.cg_name as cg_name,
    t4.cg_style as cg_style,
    t4.cg_unit1 as cg_unit1,
    2 as cost_flg,
   0 as in_qty,
    0 as in_price,
    t3.mount as out_qty,
    t3.price as out_price,
    t3.floor as floor,
    'XSCK'  AS  STOCK_TYPE, 
    t3.sys_id as sys_id,
    'B' AS SORT
  from
    outhead t1,
    outhouse t3,customer t2,cargo t4 where
    (t1.cust_id = t2.cust_id) and(t1.out_id = t3.out_id) and (t1.yes_flg =0) and (t3.cg_id = t4.cg_id) union
   select  
    t1.out_date as fsrq,
    t1.out_id as djbm,
    '' as bz,
     t3.cg_id as cg_id,
    t4.cg_name as cg_name,
    t4.cg_style as cg_style,
    t4.cg_unit1 as cg_unit1,
    2 as cost_flg,
    0 as in_qty,
    0 as in_price,
    t3.mount as out_qty,
    t3.price as out_price,
    t3.floor as floor,
    'QTCK'  AS  STOCK_TYPE,
    t3.sys_id as sys_id,
    'B' AS SORT
  from
    other_outhead t1,
    other_outhouse t3,cargo t4 where
    (t1.out_id = t3.out_id) and (t1.yes_flg =0)  and (t3.cg_id = t4.cg_id);


ALTER procedure sp_updata_jxc(in ls_cg_id varchar(15),in ls_month varchar(10),in li_mount numeric(16,6),in li_price numeric(12,4),in li_flg numeric(1),in li_floor numeric(2),in ls_batch_no varchar(50),in ls_pro_date date,in ls_vld_date date)
begin
  --1²ɹ

  --2²ɹ˻

  --3۳

  --4¿ͻ˻

  --5

  --6

  --7

  --8

  if li_flg = 1 then
    update jxc set
      in_qty = in_qty+li_mount,
      in_qty_je = in_qty_je+li_price where
      jxc.month = ls_month and jxc.cg_id = ls_cg_id and jxc.floor = li_floor  
      and jxc.batch_no = ls_batch_no and jxc.pro_date = ls_pro_date and jxc.vld_date = ls_vld_date;
    if sqlstate = 2000 then
      insert into jxc(cg_id,
        month,
        in_qty,
        in_qty_je,
        floor,
        batch_no,
        pro_date,
        vld_date) values(
        ls_cg_id,
        ls_month,
        li_mount,
        li_price,
        li_floor,
        ls_batch_no,
        ls_pro_date,
        ls_vld_date)
    end if
  end if;
  if li_flg = 2 then
    update jxc set
      RTN_VENDOR_QTY = RTN_VENDOR_QTY+li_mount,
      RTN_VENDOR_JE = RTN_VENDOR_JE+li_price where
      jxc.month = ls_month and jxc.cg_id = ls_cg_id and jxc.floor = li_floor  
      and jxc.batch_no = ls_batch_no and jxc.pro_date = ls_pro_date and jxc.vld_date = ls_vld_date;
    if sqlstate = 2000 then
      insert into jxc(cg_id,
        month,
        RTN_VENDOR_QTY,
        RTN_VENDOR_JE,
        floor,
        batch_no,
        pro_date,
        vld_date) values(
        ls_cg_id,
        ls_month,
        li_mount,
        li_price,
        li_floor,
        ls_batch_no,
        ls_pro_date,
        ls_vld_date)
    end if
  end if;
  if li_flg = 3 then
    update jxc set
      SALE_QTY = SALE_QTY+li_mount,
      SALE_QTY_JE = SALE_QTY_JE+li_price where
      jxc.month = ls_month and jxc.cg_id = ls_cg_id and jxc.floor = li_floor  
      and jxc.batch_no = ls_batch_no and jxc.pro_date = ls_pro_date and jxc.vld_date = ls_vld_date;
    if sqlstate = 2000 then
      insert into jxc(cg_id,
        month,
        SALE_QTY,
        SALE_QTY_JE,
        floor,
        batch_no,
        pro_date,
        vld_date) values(
        ls_cg_id,
        ls_month,
        li_mount,
        li_price,
        li_floor,
        ls_batch_no,
        ls_pro_date,
        ls_vld_date)
    end if
  end if;
  if li_flg = 4 then
    update jxc set
      CUST_RTN_QTY = CUST_RTN_QTY+li_mount,
      CUST_RTN_JE = CUST_RTN_JE+li_price where
      jxc.month = ls_month and jxc.cg_id = ls_cg_id and jxc.floor = li_floor  
      and jxc.batch_no = ls_batch_no and jxc.pro_date = ls_pro_date and jxc.vld_date = ls_vld_date;
    if sqlstate = 2000 then
      insert into jxc(cg_id,
        month,
        CUST_RTN_QTY,
        CUST_RTN_JE,
        floor,
        batch_no,
        pro_date,
        vld_date) values(
        ls_cg_id,
        ls_month,
        li_mount,
        li_price,
        li_floor,
        ls_batch_no,
        ls_pro_date,
        ls_vld_date)
    end if
  end if;
  if li_flg = 5 then
    update jxc set
      OTHER_IN_QTY = OTHER_IN_QTY+li_mount,
      OTHER_IN_JE = OTHER_IN_JE+li_price where
      jxc.month = ls_month and jxc.cg_id = ls_cg_id and jxc.floor = li_floor 
      and jxc.batch_no = ls_batch_no and jxc.pro_date = ls_pro_date and jxc.vld_date = ls_vld_date;
    if sqlstate = 2000 then
      insert into jxc(cg_id,
        month,
        OTHER_IN_QTY,
        OTHER_IN_JE,
        floor,
        batch_no,
        pro_date,
        vld_date) values(
        ls_cg_id,
        ls_month,
        li_mount,
        li_price,
        li_floor,
        ls_batch_no,
        ls_pro_date,
        ls_vld_date)
    end if
  end if;
  if li_flg = 6 then
    update jxc set
      OTHER_OUT_QTY = OTHER_OUT_QTY+li_mount,
      OTHER_OUT_JE = OTHER_OUT_JE+li_price where
      jxc.month = ls_month and jxc.cg_id = ls_cg_id and jxc.floor = li_floor  
      and jxc.batch_no = ls_batch_no and jxc.pro_date = ls_pro_date and jxc.vld_date = ls_vld_date;
    if sqlstate = 2000 then
      insert into jxc(cg_id,
        month,
        OTHER_OUT_QTY,
        OTHER_OUT_JE,
        floor,
        batch_no,
        pro_date,
        vld_date) values(
        ls_cg_id,
        ls_month,
        li_mount,
        li_price,
        li_floor,
        ls_batch_no,
        ls_pro_date,
        ls_vld_date)
    end if
  end if;
  if li_flg = 7 then
    update jxc set
      MOUNT = MOUNT+li_mount,
      MOUNT_JE = MOUNT_JE+li_price where
      jxc.month = ls_month and jxc.cg_id = ls_cg_id and jxc.floor = li_floor  
      and jxc.batch_no = ls_batch_no and jxc.pro_date = ls_pro_date and jxc.vld_date = ls_vld_date;
    if sqlstate = 2000 then
      insert into jxc(cg_id,
        month,
        MOUNT,
        MOUNT_JE,
        floor,
        batch_no,
        pro_date,
        vld_date) values(
        ls_cg_id,
        ls_month,
        li_mount,
        li_price,
        li_floor,
        ls_batch_no,
        ls_pro_date,
        ls_vld_date)
    end if
  end if;
  if li_flg = 8 then
    update jxc set
      REMOVE_OUT_QTY = REMOVE_OUT_QTY+li_mount,
      REMOVE_OUT_JE = REMOVE_OUT_JE+li_price where
      jxc.month = ls_month and jxc.cg_id = ls_cg_id and jxc.floor = li_floor  
      and jxc.batch_no = ls_batch_no and jxc.pro_date = ls_pro_date and jxc.vld_date = ls_vld_date;
    if sqlstate = 2000 then
      insert into jxc(cg_id,
        month,
        REMOVE_OUT_QTY,
        REMOVE_OUT_JE,
        floor,
        batch_no,
        pro_date,
        vld_date) values(
        ls_cg_id,
        ls_month,
        li_mount,
        li_price,
        li_floor,
        ls_batch_no,
        ls_pro_date,
        ls_vld_date)
    end if
  end if;
  CALL "sp_new_cost_price"(ls_cg_id );
end;

UPDATE pro_registry set version='V8.0.071010';
commit ;